package com.yihu.wlyy.analysis.etl;

import com.mongodb.util.JSON;
import org.json.JSONArray;
import org.springframework.boot.json.JsonParser;

import java.util.Map;

/**
 * Created by lyr-pc on 2017/2/20.
 */
public class ETLConstantData {


    /***************************体征指标正常范围*******************************/
    // 血糖餐前最小值
    public static final String HEALTH_STANDARD_ST_MIN_BEFORE = "4";
    // 血糖餐前最大值
    public static final String HEALTH_STANDARD_ST_MAX_BEFORE = "7";
    // 血糖餐后最小值
    public static final String HEALTH_STANDARD_ST_MIN_AFTER = "4";
    // 血糖餐后最大值
    public static final String HEALTH_STANDARD_ST_MAX_AFTER = "11.1";

    // 舒张压最小值
    public static final String HEALTH_STANDARD_SZY_MIN = "60";
    // 舒张压最大值
    public static final String HEALTH_STANDARD_SZY_MAX = "90";
    // 收缩压最小值
    public static final String HEALTH_STANDARD_SSY_MIN = "90";
    // 收缩压最大值
    public static final String HEALTH_STANDARD_SSY_MAX = "140";

    /**
     * 性别
     *
     * @return
     */
    public static String sexName(int sex) {
        switch (sex) {
            case 1:
                return "男";
            case 2:
                return "女";
            default:
                return "其他";
        }
    }

    /**
     * 年龄段
     *
     * @param age
     * @return
     */
    public static String ageInterval(int age) {
        if (age < 7) {
            return "儿童";
        } else if (age >= 7 && age <= 14) {
            return "少年";
        } else if (age >= 15 && age <= 35) {
            return "青年";
        } else if (age >= 36 && age <= 60) {
            return "中年";
        } else {
            return "老年";
        }
    }

    /**
     * 获取城市名称
     *
     * @param city
     * @return
     */
    public static String cityName(String city) {
        return "";
    }
}
